<?php
/**
 * @file
 * Drupal Ipsum theme functions.
 */

/**
 * Theme callback.
 *
 * Displays Drupal Ipsum results.
 *
 * @see drupal_ipsum_theme()
 */
function theme_drupal_ipsum_results($variables) {
  extract($variables); // Gives us $text.

  $markup = array();

  $markup['container'] = array(
    '#type' => 'container',
    '#attributes' => array(
      'id' => 'drupal_ipsum_results_container',
    ),
  );

  $markup['container']['link'] = array(
    '#theme' => 'link',
    '#text' => t('Select all'),
    '#path' => 'javascript:;',
    '#options' => array(
      'external' => TRUE,
      'html' => FALSE,
      'attributes' => array('id' => 'drupal-ipsum-select'),
    ),
  );

  $markup['container']['contents'] = array(
    '#markup' => $text,
    '#prefix' => '<div id="drupal-ipsum-text">',
    '#suffix' => '</div>',
  );

  $markup['container']['textarea'] = array(
    '#type' => 'textarea',
    '#id' => 'drupal-ipsum-textarea',
    '#default_value' => $text,
    '#value' => $text,
    '#resizable' => FALSE,
  );

  return render($markup);
}